/* Input */
.ui-input {
    display: block;
    position: relative;
    width: 100%;
    margin: 10px 0;
}

.ui-input input {
    display: block;
    width: 100%;
    height: 40px;
    font-weight: 400;
    text-align: center;
    text-shadow: 0 -1px 0 #fff;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.02) 0%, rgba(0, 0, 0, 0) 100%), rgba(255, 255, 255, 1);
    box-shadow:
        inset 0px 1px 0px rgba(0, 0, 0, 0.1),
        inset 0px -1px 0px rgba(255, 255, 255, 0.7),
        inset 4px 4px 5px rgba(0, 0, 0, 0.05),
        inset -4px -4px 10px rgba(255, 255, 255, 1);
    border: none;
    border-radius: 10px;
    transition: 0.3s;
}
@media screen and (prefers-color-scheme: dark) {
    .ui-input input {
        color: #333;
        text-shadow: unset;
        background-color: linear-gradient(180deg, rgba(255, 255, 255, 0.02) 0%, rgba(255, 255, 255, 0) 100%), rgba(0, 0, 0, 1);
        box-shadow:
            inset 0px -1px 0px rgba(255, 255, 255, 0.1),
            inset 0px 1px 0px rgba(0, 0, 0, 0.1),
            inset -4px -4px 5px rgba(255, 255, 255, 0.05),
            inset 4px 4px 10px rgba(0, 0, 0, 0.5);
    }
}
.ui-input input:focus {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.0) 0%, rgba(0, 0, 0, 0) 100%), rgba(255, 255, 255, 1);
    box-shadow:
        inset 0px 1px 0px rgba(0, 0, 0, 0.1),
        inset 0px -1px 0px rgba(255, 255, 255, 0.7),
        inset 4px 4px 5px rgba(0, 0, 0, 0.05),
        inset -4px -4px 10px rgba(255, 255, 255, 1);
}

.ui-input label {
    display: block;
    width: calc( 100% - 20px );
    margin: 0 auto 10px;
    text-align: center;
    text-shadow: 0 -1px 0 #fff;
}
@media screen and (prefers-color-scheme: dark) {
    .ui-input label {
        text-shadow: none;
    }
}

.ui-input div {
    position: absolute;
    right: 15px;
    bottom: 20px;
    margin-bottom: -8px;
    font-weight: 300;
    font-size: 14px;
    color: #777;
    line-height: 16px;
    text-shadow: 0 1px 0 #fff;
}
@media screen and (prefers-color-scheme: dark) {
    .ui-input div {
        color: #999;
        text-shadow: unset;
    }
}

/* Radio */
.ui-switcher-group {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin: 10px 0;
}

.ui-switcher-group__item {
    position: relative;
    width: 50%;
    height: 40px;
}

.ui-switcher-group__item input {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
}

.ui-switcher-group__item input ~ label {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    color: rgba( 100, 100, 100, 0.6 );
    text-shadow: 0px 1px 0px #fff;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.05) 0%, rgba(0, 0, 0, 0) 100%);
    box-shadow:
        inset 0px -1px 0px rgba(0, 0, 0, 0.15),
        inset 0px 1px 0px rgba(255, 255, 255, 0.7),
        4px 4px 15px rgba(0, 0, 0, 0.15),
        -4px -4px 10px rgba(255, 255, 255, 1);
}
@media screen and (prefers-color-scheme: dark) {
    .ui-switcher-group__item input ~ label {
        color: rgba( 255, 255, 255, 0.4 );
        text-shadow: unset;
        background: linear-gradient(180deg, rgba(255, 255, 255, 0.05) 0%, rgba(255, 255, 255, 0) 100%);
        box-shadow:
            inset 0px 1px 0px rgba(255, 255, 255, 0.15),
            inset 0px -1px 0px rgba(0, 0, 0, 0.7),
            -4px -4px 15px rgba(0, 0, 0, 0.15),
            4px 4px 10px rgba(0, 0, 0, 1);
    }
}
.ui-switcher-group__item:first-child input ~ label {
    border-radius: 10px 0 0 10px;
}
.ui-switcher-group__item:last-child input ~ label {
    border-radius: 0 10px 10px 0;
}
.ui-switcher-group__item input:checked ~ label {
    color: #333;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.05) 0%, rgba(0, 0, 0, 0) 100%);
    box-shadow:
        inset 0px 1px 0px rgba(0, 0, 0, 0.15),
        inset 0px -1px 0px rgba(255, 255, 255, 0.7),
        inset 4px 4px 15px rgba(0, 0, 0, 0.15),
        inset -4px -4px 10px rgba(255, 255, 255, 1);
}
@media screen and (prefers-color-scheme: dark) {
    .ui-switcher-group__item input:checked ~ label {
        color: #fff;
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.05) 0%, rgba(0, 0, 0, 0) 100%);
        box-shadow:
            inset 0px 1px 0px rgba(0, 0, 0, 0.15),
            inset 0px -1px 0px rgba(0, 0, 0, 0.7),
            inset 4px 4px 15px rgba(0, 0, 0, 0.15),
            inset -4px -4px 10px rgba(0, 0, 0, 1);
    }
}

/* Button */
.ui-button {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 100%;
    height: 40px;
    margin: 10px 0;
    color: #333;
    text-shadow: 0px 1px 0px #fff;x
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.05) 0%, rgba(0, 0, 0, 0) 100%);
    box-shadow:
        inset 0px -1px 0px rgba(0, 0, 0, 0.15),
        inset 0px 1px 0px rgba(255, 255, 255, 0.7),
        4px 4px 15px rgba(0, 0, 0, 0.15),
        -4px -4px 10px rgba(255, 255, 255, 1);
    border-radius: 10px;
}
@media screen and (prefers-color-scheme: dark) {
    .ui-button {
        color: #fff;
        text-shadow: unset;
        background: linear-gradient(180deg, rgba(255, 255, 255, 0.05) 0%, rgba(255, 255, 255, 0) 100%);
        box-shadow:
            inset 0px 1px 0px rgba(255, 255, 255, 0.15),
            inset 0px -1px 0px rgba(0, 0, 0, 0.7),
            -4px -4px 15px rgba(0, 0, 0, 0.15),
            4px 4px 10px rgba(0, 0, 0, 1);
    }
}

.ui-button:active {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.05) 0%, rgba(0, 0, 0, 0) 100%);
    box-shadow:
        inset 0px 1px 0px rgba(0, 0, 0, 0.15),
        inset 0px -1px 0px rgba(255, 255, 255, 0.7),
        inset 4px 4px 15px rgba(0, 0, 0, 0.15),
        inset -4px -4px 10px rgba(255, 255, 255, 1);
}
@media screen and (prefers-color-scheme: dark) {
    .ui-button:active {
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.05) 0%, rgba(0, 0, 0, 0) 100%);
        box-shadow:
            inset 0px 1px 0px rgba(0, 0, 0, 0.15),
            inset 0px -1px 0px rgba(0, 0, 0, 0.7),
            inset 4px 4px 15px rgba(0, 0, 0, 0.15),
            inset -4px -4px 10px rgba(0, 0, 0, 1);
    }
}

.ui-button.-icon::before {
    display: block;
    position: absolute;
    content: ' ';
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
}

.ui-button.-icon.-apple-pay::before {
    width: 38px;
    height: 16px;
    background-image: url(../../images/icons/apple-pay.svg);
}

/* Text */
.ui-text {
    width: calc( 100% - 20px );
    margin: 20px auto 0;
    text-align: center;
}
.ui-text p {
    margin-top: 10px;
    font-weight: 300;
    font-size: 14px;
    color: #777;
    text-shadow: 0 1px 0 #fff;
}
@media screen and (prefers-color-scheme: dark) {
    .ui-text p {
        color: #999;
        text-shadow: unset;
    }
}
.ui-text p:first-child {
    margin-top: 0;
}

.ui-text b {
    color: #333;
}
@media screen and (prefers-color-scheme: dark) {
    .ui-text b {
        color: #ddd;
    }
}

/* Ad */
.ui-ad {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    margin-top: 20px;
    margin-top: 0;
    padding: 10px 20px;
}
.ui-ad:first-child {
    margin-top: 0;
}
.ui-ad.header__user {
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: absolute;
    top: 0;
    right: 120px;
    bottom: 0;
    left: 120px;
    margin: 0;
    padding: 0;
}

.ui-ad.-self {
    
}
@media screen and (prefers-color-scheme: dark) {
    .ui-ad.-self {
        
    }
}

.ui-ad__image {
    display: block;
    position: relative;
    width: 48px;
    height: 48px;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    border-width: 0;
    border-style: solid;
    border-radius: 24px;
}
.ui-ad.header__user .ui-ad__image {
    width: 32px;
    height: 32px;
}
.-female .ui-ad__image {
    border-color: #F04C87;
}
.-male .ui-ad__image {
    border-color: #579FF3;
}
/*.ui-ad.-self .ui-ad__image {*/
/*    border: none !important;*/
/*}*/
.ui-ad.-self .ui-ad__image::before {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    content: 'вы';
    bottom: 3px;
    left: 50%;
    width: 20px;
    height: 14px;
    margin: 0 0 0 -10px;
    font-size: 10px;
    color: #fff;
    background-color: rgba(0,0,0,0.3);
    border-radius: 7px;
}

.ui-ad__content {
    display: block;
    width: calc( 100% - 48px );
    padding: 3px 0 0 10px;
}
.ui-ad.header__user .ui-ad__content {
    display: inline-block;
    width: auto;
    max-width: calc( 100% - 36px );
    padding-left: 0;
}
.ui-ad__content__header {
    display: flex;
    align-items: baseline;
    color: #777;
}
.ui-ad.header__user .ui-ad__content__header {
    max-width: 100%;
}
@media screen and (prefers-color-scheme: dark) {
    .ui-ad__content__header {
        color: #ddd;
    }
}
.ui-ad__content__header__name {
    font-size: 14px;
    color: #333;
}
.ui-ad.header__user .ui-ad__content__header__name {
    max-width: 100%;
    font-size: 12px;
    /* white-space: nowrap; */
    overflow: hidden;
    text-overflow: ellipsis;
}
@media screen and (prefers-color-scheme: dark) {
    .ui-ad__content__header__name {
        color: #ddd;
    }
}

.ui-ad__content__header__gender {
    margin-left: 5px;
    font-size: 14px;
}
.-female .ui-ad__content__header__gender::before {
    content: 'Ж';
    color: #F04C87;
}

.-male .ui-ad__content__header__gender::before {
    content: 'М';
    color: #579FF3;
}

.ui-ad__content__header__time {
    margin-left: 7px;
    font-size: 12px;
    color: #333;
    opacity: 0.3;
}
@media screen and (prefers-color-scheme: dark) {
    .ui-ad__content__header__time {
        color: #ddd;
    }
}

.ui-ad__content__text {
    display: block;
    margin-top: 4px;
    font-size: 13px;
    color: #333;
}
@media screen and (prefers-color-scheme: dark) {
    .ui-ad__content__text {
        color: #ddd;
    }
}
.-dialog .ui-ad__content__text {
    width: 100%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}